[arch-commits] Commit in libgl/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Aug 5 15:59:29 EDT 2008


    Date: Tuesday, August 5, 2008 @ 15:59:28
  Author: jgc
Revision: 8026

upgpkg: libgl 7.1rc3-1
    Prepare for xorg-server 1.5

Modified:
  libgl/trunk/PKGBUILD

----------+
 PKGBUILD |   54 ++++++++++++++++++------------------------------------
 1 file changed, 18 insertions(+), 36 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-05 19:44:38 UTC (rev 8025)
+++ PKGBUILD	2008-08-05 19:59:28 UTC (rev 8026)
@@ -2,48 +2,30 @@
 # Maintainer: Alexander Baldeck <kth5 at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libgl
-pkgver=7.0.3
-pkgrel=2
+pkgver=7.1rc3
+pkgrel=1
 pkgdesc="Mesa DRI OpenGL library and drivers"
 arch=(i686 x86_64)
 license=('LGPL')
 url="http://www.mesa3d.org"
-depends=('libxxf86vm' 'libdrm>=2.3' 'libxdamage')
-makedepends=('imake' 'glproto>=1.4.9' 'fixesproto' 'damageproto' 'pkgconfig')
+depends=('libdrm>=2.3.1' 'libxxf86vm' 'libxdamage' 'libxfixes' 'libxext' 'expat>=2.0.1')
+makedepends=('dri2proto>=1.1' 'glproto>=1.4.9' 'pkgconfig')
 provides=('libgl-dri')
 replaces=('libgl-dri' 'libgl-mesa')
-source=(http://downloads.sourceforge.net/sourceforge/mesa3d/MesaLib-${pkgver}.tar.bz2)
-md5sums=('e6e6379d7793af40a6bc3ce1bace572e')
+source=(http://www.mesa3d.org/beta/MesaLib-7.1-rc3.tar.gz)
+md5sums=('3a3cb6e3f09bf28650483b0d43ab8d88')
 
 build() {
-  cd ${startdir}/src/Mesa-${pkgver}
-
-  CONFIG="linux-dri-x86"
-  if [ "${CARCH}" = "x86_64" ]; then
-    CONFIG="linux-dri-x86-64"
-    sed -i -e "s/lib64/lib/g" configs/${CONFIG}
-  fi
-
-  echo "EXTRA_LIB_PATH =" >> configs/${CONFIG}
-  echo "OPT_FLAGS = ${CFLAGS}" >> configs/${CONFIG}
-  echo "SRC_DIRS = glx/x11 mesa" >> configs/${CONFIG}
-  rm -f include/GL/glut*h
-  echo "USING_EGL = 0" >> configs/${CONFIG}
-  echo "PROGRAM_DIRS =" >> configs/${CONFIG}
-  echo "MKDEP = makedepend" >> configs/${CONFIG}
-  echo "DRI_DIRS =" >> configs/${CONFIG}
-  echo "DRI_DRIVER_SEARCH_DIR = /usr/lib/xorg/modules/dri" >> configs/${CONFIG}
-  echo "ARCH_FLAGS += -DGLX_USE_TLS" >> configs/${CONFIG}
-  echo "X11_INCLUDES = `pkg-config --cflags-only-I x11`" >> configs/${CONFIG}
-
-  make ${CONFIG} || return 1
-  install -m755 -d ${startdir}/pkg/usr
-  make INSTALL_DIR=${startdir}/pkg/usr install || return 1
-
-  rm -rf ${startdir}/pkg/usr/include
-
-  install -m755 -d ${startdir}/pkg/usr/lib/xorg/modules/extensions || return 1
-  cd ${startdir}/pkg/usr/lib/xorg/modules/extensions || return 1
-  ln -sf libGLcore.xorg libGLcore.so
-  ln -sf libglx.xorg libglx.so
+  cd ${startdir}/src/Mesa-7.1-rc3
+  ./configure --prefix=/usr \
+    --with-dri-driverdir=/usr/lib/xorg/modules/dri \
+    --with-dri-drivers=swrast \
+    --enable-glx-tls \
+    --disable-glu \
+    --disable-glut \
+    --disable-glw || return 1
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  rm -rf ${pkgdir}/usr/include
+  rm -rf ${pkgdir}/usr/lib/pkgconfig
 }




More information about the arch-commits mailing list